Page MenuHomePhabricator

Rack and setup db1116 - db1123
Closed, ResolvedPublic

Description

We would like to start getting these systems up and installed
This is a racking proposal. We'd like to have 2 per row and in different racks.

@Cmjohnson let us know if this is feasible:

  • db1116 A6
  • db1117 A8
  • db1118 B1
  • db1119 B8
  • db1120 C5
  • db1121 C6
  • db1122 D8
  • db1123 D6

If you find space issues (as per racktables those racks don't have issues) remember we still have a few hosts that are 2U pending to physically decom: T184054 T184262 T182556

db1116 - db1023

  • - receive in system on procurement task
  • - rack system & update racktables (per instructions)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Details

Related Gerrit Patches:
operations/puppet : productionUpdating dhcpd file for new db's
operations/puppet : productionFixing dhcpd file for db1116/1117
operations/puppet : productionUpdating dhcpd file w/db1016-17
operations/puppet : productioninstall_server: Allow install db1116-db1123
operations/puppet : productionAdding dhcp file db1118-1123
operations/dns : masterAdding dns for db1116-1123

Event Timeline

Marostegui triaged this task as Normal priority.Apr 9 2018, 1:20 PM
Marostegui created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2018, 1:20 PM
Marostegui updated the task description. (Show Details)Apr 10 2018, 6:32 PM
Cmjohnson moved this task from Backlog to Up next on the ops-eqiad board.Apr 17 2018, 3:59 PM
Cmjohnson renamed this task from Rack and setup 8 new eqiad DBs to Rack and setup db1116 - db1123.Apr 18 2018, 4:30 PM
Cmjohnson updated the task description. (Show Details)

Change 427536 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding dns for db1116-1123

https://gerrit.wikimedia.org/r/427536

Cmjohnson updated the task description. (Show Details)Apr 18 2018, 8:39 PM

Change 427536 merged by Cmjohnson:
[operations/dns@master] Adding dns for db1116-1123

https://gerrit.wikimedia.org/r/427536

Cmjohnson updated the task description. (Show Details)Apr 23 2018, 3:50 PM

@Marostegui @jynus All 8 of the db's are racked, cabled and idrac setup. Updated racktables. These should be ready for you later today/first thing tomorrow morning (your morning)

@Cmjohnson thanks a lot - RAID also set up?

Change 428512 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding dhcp file db1118-1123

https://gerrit.wikimedia.org/r/428512

Change 428512 merged by Cmjohnson:
[operations/puppet@production] Adding dhcp file db1118-1123

https://gerrit.wikimedia.org/r/428512

Change 428633 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Allow install db1116-db1123

https://gerrit.wikimedia.org/r/428633

Change 428633 merged by Marostegui:
[operations/puppet@production] install_server: Allow install db1116-db1123

https://gerrit.wikimedia.org/r/428633

@Cmjohnson I have enabled those hosts to get installed with the db.cfg recipe, so as soon as they start PXE booting they should get the correct installation partman options.

Change 428685 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Updating dhcpd file w/db1016-17

https://gerrit.wikimedia.org/r/428685

Change 428685 merged by Cmjohnson:
[operations/puppet@production] Updating dhcpd file w/db1016-17

https://gerrit.wikimedia.org/r/428685

Cmjohnson updated the task description. (Show Details)Apr 24 2018, 4:46 PM

Change 428688 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Fixing dhcpd file for db1116/1117

https://gerrit.wikimedia.org/r/428688

Change 428688 merged by Cmjohnson:
[operations/puppet@production] Fixing dhcpd file for db1116/1117

https://gerrit.wikimedia.org/r/428688

Change 428705 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Updating dhcpd file for new db's

https://gerrit.wikimedia.org/r/428705

Change 428705 merged by Cmjohnson:
[operations/puppet@production] Updating dhcpd file for new db's

https://gerrit.wikimedia.org/r/428705

Cmjohnson added a comment.EditedApr 24 2018, 7:08 PM

@Marostegui @jcrespo All of the db's with the exception of db1120 (c5) are installed and ready for you to take over. Most likely I have a bad cable or a loose connection for db1120 and will take care of tomorrow.

Marostegui updated the task description. (Show Details)Apr 25 2018, 5:26 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Apr 25 2018, 5:35 AM

@Cmjohnson I have confirmed that all the hosts with the exception of db1120 as you mentioned, are up and ready - let's keep this opened till it is fixed.
Thanks a lot!

Cmjohnson reassigned this task from Cmjohnson to Marostegui.Apr 25 2018, 3:30 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson removed a project: ops-eqiad.

@Marostegui db1120 is fixed, i had the ethernet cable in the wrong port :-(. Assigning to you and removing ops-eqiad tag

Marostegui closed this task as Resolved.Apr 25 2018, 3:32 PM
Marostegui reassigned this task from Marostegui to Cmjohnson.

Confirmed db1120 looks good!
Thanks @Cmjohnson!

Marostegui updated the task description. (Show Details)Apr 25 2018, 3:33 PM
Peachey88 updated the task description. (Show Details)Apr 26 2018, 1:23 AM